Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# symbols Struct Reference

## Data Fields
ID | last_id
st_table * | sym_id
st_table * | id_str
VALUE | op_sym [tLAST_TOKEN]

## Detailed Description

Definition at line 15498 of file ripper.c.

## Field Documentation

st_table * symbols::id_str

Definition at line 15501 of file ripper.c.

Referenced by Init_sym(), rb_gc_mark_symbols(), rb_id2str(), and register_symid().

ID symbols::last_id

Definition at line 15499 of file ripper.c.

Referenced by rb_intern3().

VALUE symbols::op_sym

Definition at line 15506 of file ripper.c.

Referenced by rb_gc_mark_symbols(), and rb_id2str().

st_table * symbols::sym_id

Definition at line 15500 of file ripper.c.

Referenced by Init_sym(), rb_intern3(), rb_sym_all_symbols(), and register_symid().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c